Name:		fldigi
Version:	3.12.5
Release:	1%{?dist}
Summary:	Digital modem program for Linux
Group:		Applications/Communications
License:	GPLv2+	
URL:		http://www.w1hkj.com/fldigi-distro/
Source0:	http://www.w1hkj.com/fldigi-distro/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# The package should be updated to current, patch re-diffed and send upstream!
# Commented out 07-16-2009 patch applied upstream 3.11.6
# Patch0:	%{name}-gcc44.patch

BuildRequires:	hamlib-devel
BuildRequires:	fltk-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	portaudio-devel >= 19-4
BuildRequires:	libsndfile-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libsamplerate-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	xmlrpc-c-devel


%description
fldigi is a modem program which supports most of the digital modes used by 
ham radio operators today. You can also use the program for calibrating your 
sound card to WWV or doing a frequency measurement test. The program also comes 
with a CW decoder. fldigi is written with the help of the Fast Light Toolkit X 
GUI.

%prep
%setup -q
# %patch0
# Remove executeable tags to quiet rpmlint
chmod -x src/include/jalocha/pj_struc.h
chmod -x src/include/jalocha/pj_fifo.h
chmod -x src/include/jalocha/pj_cmpx.h
chmod -x src/include/jalocha/pj_fft.h
chmod -x src/include/jalocha/pj_gray.h
chmod -x src/include/jalocha/pj_lowpass3.h
chmod -x src/include/jalocha/pj_fht.h
chmod -x src/olivia/olivia.cxx
chmod -x src/include/jalocha/pj_mfsk.h

%build
%configure
make -k %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LIBS="-lm -lX11 -lpthread"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop \
$RPM_BUILD_ROOT%{_datadir}/applications/flarq.desktop
# --vendor obsolete per new guidlines but leaving it in because
# this is an existing package with vendor previously installed
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-shell.1.gz
%{_mandir}/man1/flarq.1.gz
%attr(0644,root,root) %{_datadir}/applications/flarq.desktop
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop


%changelog
* Thu Apr 22 2010 Randall J. Berry <dp67@fedoraproject.com> 3.12.5-1
- Upstream upgrade to 3.12.5
- Apply changes to spec to include pulseaudio as in bug 562515
- Added Buildeps pulseaudio-libs-devel, xmlrpc-c-devel (bug 562515)
- Added manpage generated by builddeps (bug 562515)
- Corrected spelling in description (bug 562515)

* Thu Apr 22 2010 Jon Ciesla <limb@jcomserv.net> - 3.11.6-3
- Correction for X11 DSO linking FTBFS, BZ 565116.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Randall J. Berry <dp67@fedoraproject.com> 3.11.6-1
- Upstream upgrade to 3.11.6
- Remove fldigi-gcc44.patch (applied upstream)
- Man pages added upstream
* Sat Apr 25 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 3.10-3
- Fix FTBFS: added fldigi-gcc44.patch
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Mon Jan 19 2009 Randall J Berry 'Dp67' <dp67@fedoraproject.org> 3.10-1
- New upstream release
* Thu Dec 14 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> 3.03-1
- New upstream release
- Remove explicit libsamplerate dependency
* Fri Aug 22 2008 Steve Conklin <fedora@conklinhouse.com> - 3.01-1
- Latest upstream
* Mon Apr  7 2008 Steve Conklin <steve@conklinhouse.com> - 2.10.3-1
- Latest upstream - Bug fix for memory leak in psk signal evaluator.
* Thu Mar 13 2008 Steve Conklin <steve@conklinhouse.com> - 2.10.2-2
- Added requirement for libsamplerate
* Thu Mar 13 2008 Steve Conklin <steve@conklinhouse.com> - 2.10.2-1
- bugfix release from upstream
* Thu Mar 13 2008 Steve Conklin <steve@conklinhouse.com> - 2.10-1
- New upstream version
* Sat Feb 16 2008 Steve Conklin <sconklin at redhat dot com> 2.09-3
- adding desktop-file-install
* Thu Feb 14 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 2.09-2
- Submitting for Review
* Sun Jan 27 2008 Steve Conklin <steve@conklinhouse.com> 2.09-1
- New upstream 2.09 add mutistream decode.
* Sun Jan 27 2008 Steve Conklin <steve@conklinhouse.com> 2.08-3
- Added desktop file and inclued final upstream release of 2.08
* Tue Jan 08 2008 Steve Conklin <steve@conklinhouse.com> 2.08-2
- added buildrequires for libjpeg-devel, libpng-devel
* Tue Jan 08 2008 Steve Conklin <steve@conklinhouse.com> 2.08-1
- Rebase to 2.08b beta for upcoming release
* Wed Dec 12 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 2.05-
- Require most recent portaudio
* Thu Nov 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 2.05-1
- Add BRs
- New release
- Update License
- Add files list
* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 2.04-1
- Initial SPEC

